aboutsummaryrefslogtreecommitdiffhomepage
path: root/test/test-lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/test-lib.sh')
-rw-r--r--test/test-lib.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/test/test-lib.sh b/test/test-lib.sh
index 6e475452..34e0db68 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -190,7 +190,15 @@ then
exit 0
fi
-echo $this_test: "Testing ${test_description}"
+test_description_printed=
+print_test_description ()
+{
+ test -z "$test_description_printed" || return 0
+ echo
+ echo $this_test: "Testing ${test_description}"
+ test_description_printed=1
+}
+print_test_description
exec 5>&1
@@ -979,8 +987,6 @@ test_done () {
echo "failed $test_failure" >> $test_results_path
echo "" >> $test_results_path
- echo
-
[ -n "$EMACS_SERVER" ] && test_emacs '(kill-emacs)'
if [ "$test_failure" = "0" ]; then